xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) Jan Vornberger 2009 Alejandro Serrano 2010
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.Minimize

Contents

- Usage

Description

Makes it possible to minimize windows, temporarily removing them from the layout until they are restored.

Synopsis

- data Minimize a
- minimize :: l Window -> ModifiedLayout Minimize l Window

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Minimize

Then edit your `layoutHook` by adding the Minimize layout modifier:

    myLayout = minimize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

The module is designed to work together with XMonad.Layout.BoringWindows so that minimized windows will be skipped over when switching the focused window with the keyboard. Include `boringWindows` in your layout hook and see the documentation of XMonad.Layout.BoringWindows on how to modify your keybindings.

See XMonad.Actions.Minimize for possible actions for minimizing/restoring windows

Also see XMonad.Hooks.Minimize if you want to be able to minimize and restore windows from your taskbar.

data Minimize a Source #

#### Instances

Instances details

LayoutModifier Minimize Window Source # |

Instance details

Defined in XMonad.Layout.Minimize

Methods

modifyLayout :: LayoutClass l Window => Minimize Window -> Workspace WorkspaceId (l Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (l Window)) Source #

modifyLayoutWithUpdate :: LayoutClass l Window => Minimize Window -> Workspace WorkspaceId (l Window) Window -> Rectangle -> X (([(Window, Rectangle)], Maybe (l Window)), Maybe (Minimize Window)) Source #

handleMess :: Minimize Window -> SomeMessage -> X (Maybe (Minimize Window)) Source #

handleMessOrMaybeModifyIt :: Minimize Window -> SomeMessage -> X (Maybe (Either (Minimize Window) SomeMessage)) Source #

pureMess :: Minimize Window -> SomeMessage -> Maybe (Minimize Window) Source #

redoLayout :: Minimize Window -> Rectangle -> Maybe (Stack Window) -> [(Window, Rectangle)] -> X ([(Window, Rectangle)], Maybe (Minimize Window)) Source #

pureModifier :: Minimize Window -> Rectangle -> Maybe (Stack Window) -> [(Window, Rectangle)] -> ([(Window, Rectangle)], Maybe (Minimize Window)) Source #

hook :: Minimize Window -> X () Source #

unhook :: Minimize Window -> X () Source #

modifierDescription :: Minimize Window -> String Source #

modifyDescription :: LayoutClass l Window => Minimize Window -> l Window -> String Source #

Read (Minimize a) Source # |
Instance details Defined in XMonad.Layout.Minimize Methods readsPrec :: Int -> ReadS (Minimize a) Source # readList :: ReadS [Minimize a] Source # readPrec :: ReadPrec (Minimize a) Source # readListPrec :: ReadPrec [Minimize a] Source #
Show (Minimize a) Source # |
Instance details Defined in XMonad.Layout.Minimize Methods showsPrec :: Int -> Minimize a -> ShowS Source # show :: Minimize a -> String Source # showList :: [Minimize a] -> ShowS Source #

minimize :: l Window -> ModifiedLayout Minimize l Window Source #